// ---=== Arrows ===---

textures/ut4_kittysquickie1/kq1_arrowanim
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_kittysquickie1/arrow3.tga
	{
		animmap 3 textures/ut4_kittysquickie1/arrow1.tga textures/ut4_kittysquickie1/arrow2.tga textures/ut4_kittysquickie1/arrow3.tga textures/ut4_kittysquickie1/arrow4.tga

	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

// ---=== No Damage ===---

textures/ut4_kittysquickie1/e8base_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8base_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8clangwarnmix:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8clangwarnmix_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8clangwarnmix_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretefloor01:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretefloor01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretefloor02:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretefloor_tile:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8cretesmlltrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8spacecrete:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8support05:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8warn2steplight:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8warning2step:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8warning2:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8warning256:q3map
{
	surfaceparm nodamage
}

textures/ut4_kittysquickie1/e8wrntrim:q3map
{
	surfaceparm nodamage
}

// ---=== slick textures ===---

textures/ut4_kittysquickie1/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_kittysquickie1/pr_metal076:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ut4_kittysquickie1/pr_concrete004:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

// ---=== Glass ===---

textures/ut4_kittysquickie1/kq1_glass
{
	qer_editorimage textures/ut4_kittysquickie1/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kittysquickie1/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_kittysquickie1/kq1_glass_slk
{
	qer_editorimage textures/ut4_kittysquickie1/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kittysquickie1/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_kittysquickie1/kq1_glass_nons
{
	qer_editorimage textures/ut4_kittysquickie1/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_bounce .1	

	{
		map textures/ut4_kittysquickie1/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// ---=== Ladderclip ===---

textures/ut4_kittysquickie1/kq1_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---


// ---=== Lasers ===---


// ---=== oozes ===---

textures/ut4_kittysquickie1/kq1_oozecaulk
{
qer_editorimage textures/ut4_kittysquickie1/ooze_prpl.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

textures/ut4_kittysquickie1/kq1_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kittysquickie1/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_kittysquickie1/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kittysquickie1/kq1_oozgrey
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kittysquickie1/ooze_grey.tga

	{
		map textures/ut4_kittysquickie1/ooze_grey.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_grey_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_grey.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_grey.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kittysquickie1/kq1_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kittysquickie1/ooze_red.tga
	q3map_surfacelight 300

	{
		map textures/ut4_kittysquickie1/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kittysquickie1/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== Evil Shaders ===---

textures/ut4_kittysquickie1/e6trim_light_s_nolight
{
	qer_editorimage textures/ut4_kittysquickie1/e6trim_light.tga
	surfaceparm nomarks
	surfaceparm nodamage

	{
		map textures/ut4_kittysquickie1/e6trim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_kittysquickie1/e6trim_light_blend.tga
		blendfunc add
	}
}

textures/ut4_kittysquickie1/e8warn2steplight
{
	qer_editorimage textures/ut4_kittysquickie1/e8warn2steplight.tga
	q3map_lightimage textures/ut4_kittysquickie1/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_kittysquickie1/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_kittysquickie1/e8minitrimlight
{
	qer_editorimage textures/ut4_kittysquickie1/e8minitrimlight.tga
	q3map_lightimage textures/ut4_kittysquickie1/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	q3map_surfacelight 250
	{
		map textures/ut4_kittysquickie1/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_kittysquickie1/e8trimlight2_blue
{
	qer_editorimage textures/ut4_kittysquickie1/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_kittysquickie1/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kittysquickie1/e8trimlight2_red
{
	qer_editorimage textures/ut4_kittysquickie1/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_kittysquickie1/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kittysquickie1/e8trimlight2_blue-100
{
	qer_editorimage textures/ut4_kittysquickie1/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/ut4_kittysquickie1/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kittysquickie1/e8trimlight2_red-100
{
	qer_editorimage textures/ut4_kittysquickie1/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/ut4_kittysquickie1/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_kittysquickie1/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_kittysquickie1/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_kittysquickie1/e8trim_redfx
{
	q3map_lightimage textures/ut4_kittysquickie1/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_kittysquickie1/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_kittysquickie1/e8tmtllight2b
{
	qer_editorimage textures/ut4_kittysquickie1/e8tmtllight2b.tga
	q3map_lightimage textures/ut4_kittysquickie1/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_kittysquickie1/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/ut4_kittysquickie1/evil8_rlight
{
	qer_editorimage textures/ut4_kittysquickie1/e8_rlight.tga
	q3map_lightimage textures/ut4_kittysquickie1/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_kittysquickie1/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_kittysquickie1/e8_rlight.blend.tga
		blendfunc add
	}
}

// ---=== mrcleantex shaders ===---

textures/ut4_kittysquickie1/kq1_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_kittysquickie1/mrtx_stainls_pnl.tga

	{
		map textures/ut4_kittysquickie1/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_kittysquickie1/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_kittysquickie1/kq1_stainls_rib_shiny
{
	qer_editorimage textures/ut4_kittysquickie1/mrtx_stainls_rib.tga

	{
		map textures/ut4_kittysquickie1/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_kittysquickie1/mrtx_stainls_rib.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_kittysquickie1/kq1_stainls_rib2_red_shiny
{
	qer_editorimage textures/ut4_kittysquickie1/mrtx_stainls_rib2_red.tga
	q3map_lightimage textures/ut4_kittysquickie1/mrtx_stainls_rib2_red.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_kittysquickie1/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_kittysquickie1/mrtx_stainls_rib2_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_kittysquickie1/mrtx_stainls_rib2_red.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_kittysquickie1/kq1_stainls_rib2_blu_shiny
{
	qer_editorimage textures/ut4_kittysquickie1/mrtx_stainls_rib2_blu.tga
	q3map_lightimage textures/ut4_kittysquickie1/mrtx_stainls_rib2_blu.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_kittysquickie1/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_kittysquickie1/mrtx_stainls_rib2_blu.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_kittysquickie1/mrtx_stainls_rib2_blu.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}


// ---=== soc shaders ===---

textures/ut4_kittysquickie1/kq1_jpblue_floor15a
{
	qer_editorimage textures/ut4_kittysquickie1/soc_jp15a.tga
	q3map_lightimage textures/ut4_kittysquickie1/soc_jumppadsmall_b.tga	
	q3map_surfacelight 400
	{
		map textures/ut4_kittysquickie1/soc_blue_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_kittysquickie1/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_kittysquickie1/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_kittysquickie1/kq1_jpred_floor15a
{
	qer_editorimage textures/ut4_kittysquickie1/soc_jp15a.tga
	q3map_lightimage textures/ut4_kittysquickie1/soc_jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/ut4_kittysquickie1/soc_red_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_kittysquickie1/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_kittysquickie1/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== Decals ===---

textures/ut4_kittysquickie1/kq1_decal_l1b
{
	qer_editorimage textures/ut4_kittysquickie1/levelone_blue.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/levelone_blue.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_kittysquickie1/kq1_decal_l1r
{
	qer_editorimage textures/ut4_kittysquickie1/levelone_red.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/levelone_red.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_kittysquickie1/kq1_decal_l2b
{
	qer_editorimage textures/ut4_kittysquickie1/leveltwo_blue.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/leveltwo_blue.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_kittysquickie1/kq1_decal_l2r
{
	qer_editorimage textures/ut4_kittysquickie1/leveltwo_red.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/leveltwo_red.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_kittysquickie1/kq1_decal_l3b
{
	qer_editorimage textures/ut4_kittysquickie1/levelthree_blue.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/levelthree_blue.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

textures/ut4_kittysquickie1/kq1_decal_l3r
{
	qer_editorimage textures/ut4_kittysquickie1/levelthree_red.tga
	polygonOffset
	nomipmaps
	nopicmip

	{
    map textures/ut4_kittysquickie1/levelthree_red.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}